hpp-corbaserver: intSeq_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
intSeq_var Class Reference

`#include <hpp/common-idl.hh>`

## Public Member Functions
| intSeq_var ()
| intSeq_var (intSeq *_s)
| intSeq_var (const intSeq_var &_s)
| ~intSeq_var ()
intSeq_var & | operator= (intSeq *_s)
intSeq_var & | operator= (const intSeq_var &_s)
inline ::CORBA::Long & | operator[] (_CORBA_ULong _s)
intSeq * | operator-> ()
const intSeq * | operator-> () const
| operator const intSeq & () const
| operator intSeq & ()
const intSeq & | in () const
intSeq & | inout ()
intSeq *& | out ()
intSeq * | _retn ()

## Friends
class | intSeq_out

## Constructor & Destructor Documentation

## ◆ intSeq_var() [1/3]

intSeq_var::intSeq_var | ( |  | ) |
| inline

## ◆ intSeq_var() [2/3]

intSeq_var::intSeq_var | ( | intSeq * | _s | ) |
| inline

## ◆ intSeq_var() [3/3]

intSeq_var::intSeq_var | ( | const intSeq_var & | _s | ) |
| inline

## ◆ ~intSeq_var()

intSeq_var::~intSeq_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

intSeq * intSeq_var::_retn | ( |  | ) |
| inline

## ◆ in()

const intSeq & intSeq_var::in | ( |  | ) | const
| inline

## ◆ inout()

intSeq & intSeq_var::inout | ( |  | ) |
| inline

## ◆ operator const intSeq &()

intSeq_var::operator const intSeq & | ( |  | ) | const
| inline

## ◆ operator intSeq &()

intSeq_var::operator intSeq & | ( |  | ) |
| inline

## ◆ operator->() [1/2]

intSeq * intSeq_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const intSeq * intSeq_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

intSeq_var & intSeq_var::operator= | ( | const intSeq_var & | _s | ) |
| inline

## ◆ operator=() [2/2]

intSeq_var & intSeq_var::operator= | ( | intSeq * | _s | ) |
| inline

## ◆ operator[]()

inline ::CORBA::Long & intSeq_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

intSeq *& intSeq_var::out | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ intSeq_out

friend class intSeq_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh